#include "vision.h"
#include <bits/stdc++.h>
using namespace std;

vector<int> getVisionPattern1d(){
    return {1,2,1,3,1,4};
}

int getMove1d(vector<int> v){
    int x=(int)v.size();
    if (x==3){
		int mn=min(v[0],v[2]),mx=max(v[0],v[2]); 
    	if (mn==2 && mx==4) return (v[0]==2?0:2);
    	if (mn==2 && mx==3) return (v[0]==3?0:2);
    	if (mn==3 && mx==4) return (v[0]==4?0:2);
	}
	if (x==5){
		return (v[0]==3?0:4);
	}
	if (x==7){
		return (v[1]==4?1:5);
	}
	return (v[0]==3?0:8);
}

vector<vector<int>> getVisionPattern2d()
{
    return {{1}};
}

pair<int, int> getMove2d(vector<vector<int>> v)
{
    return {0, 0};
}
